import 'package:freezed_annotation/freezed_annotation.dart';

part 'mime.freezed.dart';
part 'mime.g.dart';

@freezed
class Mime with _$Mime {
  const factory Mime({
    String? charset,
    String? source,
    bool? compressible,
    List<String>? extensions,
  }) = _Mime;

  factory Mime.fromJson(Map<String, Object?> json) =>
      _$MimeFromJson(json);
}
